set echo off;
spool index_s.lst;

/************************************************************************************
*                                                                                   *
*   index_s.sql        SILVERRUN ENTERPRISE BPM/RDM 2.8        Grandite             *
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8        Grandite             *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script creating SILVERRUN indexes           Script creant les index SILVERRUN   *
*   on SILVERRUN_REPOSITORY_DATA                dans SILVERRUN_REPOSITORY_DATA      *
*                                                                                   *
************************************************************************************/


/* TABLE dCell */
CREATE  UNIQUE INDEX idCellL ON dCell
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i043121 ON dCell
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i043119 ON dCell
(dProcFrmK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dCpnProc */
CREATE  UNIQUE INDEX idCpnProcL ON dCpnProc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i043006 ON dCpnProc
(dCorrCatK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i043005 ON dCpnProc
(dComponK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i043007 ON dCpnProc
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i043011 ON dCpnProc
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dCpnStor */
CREATE  UNIQUE INDEX idCpnStorL ON dCpnStor
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042913 ON dCpnStor
(dCorrCatK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042915 ON dCpnStor
(dComponK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042909 ON dCpnStor
(dStoreK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042917 ON dCpnStor
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dDiag */
CREATE  UNIQUE INDEX idDiagL ON dDiag
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045040 ON dDiag
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dDispDes */
CREATE  UNIQUE INDEX idDispDesL ON dDispDes
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040511 ON dDispDes
(dUserFldK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040509 ON dDispDes
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040506 ON dDispDes
(dZoneK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dExEnGR */
CREATE  UNIQUE INDEX idExEnGRL ON dExEnGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042006 ON dExEnGR
(dExEnGRK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042004 ON dExEnGR
(dExEnPrsK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042022 ON dExEnGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dExEnPrs */
CREATE  UNIQUE INDEX idExEnPrsL ON dExEnPrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041302 ON dExEnPrs
(dExtEntK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041305 ON dExEnPrs
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041309 ON dExEnPrs
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dExtEnt */
CREATE  UNIQUE INDEX idExtEntL ON dExtEnt
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040720 ON dExtEnt
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dFigure */
CREATE  UNIQUE INDEX idFigureL ON dFigure
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046207 ON dFigure
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dFigurGR */
CREATE  UNIQUE INDEX idFigurGRL ON dFigurGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046308 ON dFigurGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dFlow */
CREATE  UNIQUE INDEX idFlowL ON dFlow
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040820 ON dFlow
(dChoice1K, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040823 ON dFlow
(dChoice2K, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040812 ON dFlow
(dContFlowK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040837 ON dFlow
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040843 ON dFlow
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040841 ON dFlow
(dStructK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dFlowGR */
CREATE  UNIQUE INDEX idFlowGRL ON dFlowGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042123 ON dFlowGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042112 ON dFlowGR
(dChoice1K, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042115 ON dFlowGR
(dChoice2K, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dFont */
CREATE  UNIQUE INDEX idFontL ON dFont
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045108 ON dFont
(dDiagK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045112 ON dFont
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dFText */
CREATE  UNIQUE INDEX idFTextL ON dFText
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045711 ON dFText
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dFTextGR */
CREATE  UNIQUE INDEX idFTextGRL ON dFTextGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045508 ON dFTextGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dGrapRep */
CREATE  UNIQUE INDEX idGrapRepL ON dGrapRep
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045315 ON dGrapRep
(dDiagK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045331 ON dGrapRep
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dLabelGR */
CREATE  UNIQUE INDEX idLabelGRL ON dLabelGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042314 ON dLabelGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042302 ON dLabelGR
(dLabelGRK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042306 ON dLabelGR
(dZoneK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dLine */
CREATE  UNIQUE INDEX idLineL ON dLine
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046007 ON dLine
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dLineGR */
CREATE  UNIQUE INDEX idLineGRL ON dLineGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046109 ON dLineGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dLinkGR */
CREATE  UNIQUE INDEX idLinkGRL ON dLinkGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046810 ON dLinkGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046804 ON dLinkGR
(dParNodGrK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046812 ON dLinkGR
(dRoNodeGrK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dNode */
CREATE  UNIQUE INDEX idNodeL ON dNode
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046708 ON dNode
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046712 ON dNode
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dPictGR */
CREATE  UNIQUE INDEX idPictGRL ON dPictGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046414 ON dPictGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dPicture */
CREATE  UNIQUE INDEX idPictureL ON dPicture
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i046507 ON dPicture
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dProcess */
CREATE  UNIQUE INDEX idProcessL ON dProcess
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041615 ON dProcess
(dPaProcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041638 ON dProcess
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041650 ON dProcess
(dRepresK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dProcFrm */
CREATE  UNIQUE INDEX idProcFrmL ON dProcFrm
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042202 ON dProcFrm
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042212 ON dProcFrm
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dProcGR */
CREATE  UNIQUE INDEX idProcGRL ON dProcGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042504 ON dProcGR
(dProcPrsK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042506 ON dProcGR
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042522 ON dProcGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dProcPrs */
CREATE  UNIQUE INDEX idProcPrsL ON dProcPrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041503 ON dProcPrs
(dProcProcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041505 ON dProcPrs
(dPrsProcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041509 ON dProcPrs
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dQualGR */
CREATE  UNIQUE INDEX idQualGRL ON dQualGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042413 ON dQualGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042407 ON dQualGR
(dChoiceK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dQualif */
CREATE  UNIQUE INDEX idQualifL ON dQualif
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040014 ON dQualif
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dQulExEn */
CREATE  UNIQUE INDEX idQulExEnL ON dQulExEn
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040208 ON dQulExEn
(dExtEntK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040206 ON dQulExEn
(dQualif, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040212 ON dQulExEn
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dQulFlow */
CREATE  UNIQUE INDEX idQulFlowL ON dQulFlow
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040308 ON dQulFlow
(dFlowK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040306 ON dQulFlow
(dQualif, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040312 ON dQulFlow
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dQulProc */
CREATE  UNIQUE INDEX idQulProcL ON dQulProc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040408 ON dQulProc
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040406 ON dQulProc
(dQualif, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040412 ON dQulProc
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dQulSto */
CREATE  UNIQUE INDEX idQulStoL ON dQulSto
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040108 ON dQulSto
(dStoreK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040106 ON dQulSto
(dQualif, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040112 ON dQulSto
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dResourc */
CREATE  UNIQUE INDEX idResourcL ON dResourc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041714 ON dResourc
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dResProc */
CREATE  UNIQUE INDEX idResProcL ON dResProc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041804 ON dResProc
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041811 ON dResProc
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041806 ON dResProc
(dResourcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dStamp */
CREATE  UNIQUE INDEX idStampL ON dStamp
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045806 ON dStamp
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dStampGR */
CREATE  UNIQUE INDEX idStampGRL ON dStampGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i045608 ON dStampGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dStore */
CREATE  UNIQUE INDEX idStoreL ON dStore
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040630 ON dStore
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i040628 ON dStore
(dStructK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dStoreGR */
CREATE  UNIQUE INDEX idStoreGRL ON dStoreGR
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041906 ON dStoreGR
(dStoreGRK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041904 ON dStoreGR
(dStorPrsK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041922 ON dStoreGR
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dStorPrs */
CREATE  UNIQUE INDEX idStorPrsL ON dStorPrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041202 ON dStorPrs
(dStoreK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041205 ON dStorPrs
(dProcessK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i041209 ON dStorPrs
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE dZone */
CREATE  UNIQUE INDEX idZoneL ON dZone
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i042815 ON dZone
(dSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rActCat */
CREATE  UNIQUE INDEX irActCatL ON rActCat
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024309 ON rActCat
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rAction */
CREATE  UNIQUE INDEX irActionL ON rAction
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020018 ON rAction
(rSupActK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020040 ON rAction
(rActCatK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020052 ON rAction
(rProcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020020 ON rAction
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020019 ON rAction
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rAttrSet */
CREATE  UNIQUE INDEX irAttrSetL ON rAttrSet
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029725 ON rAttrSet
(rAttrSetK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029722 ON rAttrSet
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rBlkCfg */
CREATE  UNIQUE INDEX irBlkCfgL ON rBlkCfg
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026222 ON rBlkCfg
(rSupBlkCfK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026218 ON rBlkCfg
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rChoice */
CREATE  UNIQUE INDEX irChoiceL ON rChoice
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020218 ON rChoice
(rSupChoiK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020222 ON rChoice
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020221 ON rChoice
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rChoiceG */
CREATE  UNIQUE INDEX irChoiceGL ON rChoiceG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021808 ON rChoiceG
(rChoiceK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021813 ON rChoiceG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rChoiLnG */
CREATE  UNIQUE INDEX irChoiLnGL ON rChoiLnG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023702 ON rChoiLnG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023706 ON rChoiLnG
(rTableGK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rColAct */
CREATE  UNIQUE INDEX irColActL ON rColAct
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024407 ON rColAct
(rActionK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024409 ON rColAct
(rColumnK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024411 ON rColAct
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rColumn */
CREATE  UNIQUE INDEX irColumnL ON rColumn
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020478 ON rColumn
(rAttrSetK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020432 ON rColumn
(rSupColK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131545 ON rColumn
(rDefaultK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020426 ON rColumn
(rDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020434 ON rColumn
(rComItemK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020458 ON rColumn
(rProcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020433 ON rColumn
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131569 ON rColumn
(rRuleK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131726 ON rColumn
(rSDColnK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131799 ON rColumn
(rTabPartK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020427 ON rColumn
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rColVal */
CREATE  UNIQUE INDEX irColValL ON rColVal
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029506 ON rColVal
(rColumnK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029511 ON rColVal
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rCombCol */
CREATE  UNIQUE INDEX irCombColL ON rCombCol
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020616 ON rCombCol
(rColumnK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020641 ON rCombCol
(rRedirColK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020627 ON rCombCol
(rCombColK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020617 ON rCombCol
(rCombinK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020638 ON rCombCol
(rDerivDirK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020630 ON rCombCol
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rCombDir */
CREATE  UNIQUE INDEX irCombDirL ON rCombDir
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020710 ON rCombDir
(rCombinK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020712 ON rCombDir
(rDirectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020717 ON rCombDir
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rCombin */
CREATE  UNIQUE INDEX irCombinL ON rCombin
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020535 ON rCombin
(rCombinK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020536 ON rCombin
(rSupCombK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020537 ON rCombin
(rDirectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020538 ON rCombin
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020525 ON rCombin
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rCompTbl */
CREATE  UNIQUE INDEX irCompTblL ON rCompTbl
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023605 ON rCompTbl
(rCorrCatK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023607 ON rCompTbl
(rComponK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023609 ON rCompTbl
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023611 ON rCompTbl
(rDstTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rConcAcc */
CREATE  UNIQUE INDEX irConcAccL ON rConcAcc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024606 ON rConcAcc
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024608 ON rConcAcc
(rZoneK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rConnect */
CREATE  UNIQUE INDEX irConnectL ON rConnect
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020825 ON rConnect
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rConnG */
CREATE  UNIQUE INDEX irConnGL ON rConnG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022008 ON rConnG
(rConnectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022012 ON rConnG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022019 ON rConnG
(rChoice1K, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022016 ON rConnG
(rChoice2K, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rConnvG */
CREATE  UNIQUE INDEX irConnvGL ON rConnvG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022806 ON rConnvG
(rChoiceK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022808 ON rConnvG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022812 ON rConnvG
(rChoiceGK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rConstr */
CREATE  UNIQUE INDEX irConstrL ON rConstr
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020151 ON rConstr
(rColumnK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020117 ON rConstr
(rSupConstK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131558 ON rConstr
(rErrMsgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020119 ON rConstr
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i020118 ON rConstr
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rContent */
CREATE  UNIQUE INDEX irContentL ON rContent
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024714 ON rContent
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rDatabas */
CREATE  UNIQUE INDEX irDatabasL ON rDatabas
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026936 ON rDatabas
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rDescAcc */
CREATE  UNIQUE INDEX irDescAccL ON rDescAcc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023805 ON rDescAcc
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023807 ON rDescAcc
(rSubZoneK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rDiagram */
CREATE  UNIQUE INDEX irDiagramL ON rDiagram
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021045 ON rDiagram
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rDim */
CREATE  UNIQUE INDEX irDimL ON rDim
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039604 ON rDim
(rColumnK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039606 ON rDim
(rDimPerK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039602 ON rDim
(rMDIndexK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039609 ON rDim
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rDirect */
CREATE  UNIQUE INDEX irDirectL ON rDirect
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021174 ON rDirect
(rChoiceK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021139 ON rDirect
(rConnectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021159 ON rDirect
(rSupDirK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021165 ON rDirect
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021143 ON rDirect
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021144 ON rDirect
(rDstTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rErrMsg */
CREATE  UNIQUE INDEX irErrMsgL ON rErrMsg
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131645 ON rErrMsg
(rSupErrMK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131566 ON rErrMsg
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rFigure */
CREATE  UNIQUE INDEX irFigureL ON rFigure
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023206 ON rFigure
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rFigureG */
CREATE  UNIQUE INDEX irFigureGL ON rFigureG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023003 ON rFigureG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rFile */
CREATE  UNIQUE INDEX irFileL ON rFile
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026614 ON rFile
(rDataDBK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026628 ON rFile
(rLogDBK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026623 ON rFile
(rSupFilK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026618 ON rFile
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131942 ON rFile
(rStogrpK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rFilSgrp */
CREATE  UNIQUE INDEX irFilSgrpL ON rFilSgrp
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029802 ON rFilSgrp
(rFileK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029806 ON rFilSgrp
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029804 ON rFilSgrp
(rStogrpK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rFilTbsp */
CREATE  UNIQUE INDEX irFilTbspL ON rFilTbsp
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027204 ON rFilTbsp
(rFileK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027206 ON rFilTbsp
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027202 ON rFilTbsp
(rTabspcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rFont */
CREATE  UNIQUE INDEX irFontL ON rFont
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021410 ON rFont
(rDiagramK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021411 ON rFont
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rGraphic */
CREATE  UNIQUE INDEX irGraphicL ON rGraphic
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021718 ON rGraphic
(rDiagramK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021720 ON rGraphic
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIBICol */
CREATE  UNIQUE INDEX irIBIColL ON rIBICol
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131547 ON rIBICol
(rIBIColFK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131548 ON rIBICol
(rIBIColGK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131549 ON rIBICol
(rIBIColWK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131552 ON rIBICol
(rIBILocK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131555 ON rIBICol
(rIBISecK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131559 ON rIBICol
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIBIDir */
CREATE  UNIQUE INDEX irIBIDirL ON rIBIDir
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131563 ON rIBIDir
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIBILink */
CREATE  UNIQUE INDEX irIBILinkL ON rIBILink
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039906 ON rIBILink
(rIBIDirK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039902 ON rIBILink
(rIBITabK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039904 ON rIBILink
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIBILoc */
CREATE  UNIQUE INDEX irIBILocL ON rIBILoc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131561 ON rIBILoc
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIBIMFD */
CREATE  UNIQUE INDEX irIBIMFDL ON rIBIMFD
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131562 ON rIBIMFD
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIBISec */
CREATE  UNIQUE INDEX irIBISecL ON rIBISec
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039803 ON rIBISec
(rIBILocK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039806 ON rIBISec
(rIBITabK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039808 ON rIBISec
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIBITab */
CREATE  UNIQUE INDEX irIBITabL ON rIBITab
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131551 ON rIBITab
(rIBILocK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131553 ON rIBITab
(rIBIMFDK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131560 ON rIBITab
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIndex */
CREATE  UNIQUE INDEX irIndexL ON rIndex
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021562 ON rIndex
(rBlkCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021516 ON rIndex
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021564 ON rIndex
(rStogrpK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021537 ON rIndex
(rStoCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131746 ON rIndex
(rOrigUserK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rIndTbsp */
CREATE  UNIQUE INDEX irIndTbspL ON rIndTbsp
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027104 ON rIndTbsp
(rIndexK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027106 ON rIndTbsp
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027102 ON rIndTbsp
(rTabspcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rLabelG */
CREATE  UNIQUE INDEX irLabelGL ON rLabelG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021906 ON rLabelG
(rChoiceK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021908 ON rLabelG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021912 ON rLabelG
(rChoiceGK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rLine */
CREATE  UNIQUE INDEX irLineL ON rLine
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023307 ON rLine
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rLineG */
CREATE  UNIQUE INDEX irLineGL ON rLineG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i023103 ON rLineG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rMDIndex */
CREATE  UNIQUE INDEX irMDIndexL ON rMDIndex
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039707 ON rMDIndex
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i039702 ON rMDIndex
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rPart */
CREATE  UNIQUE INDEX irPartL ON rPart
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026822 ON rPart
(rBlkCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026818 ON rPart
(rIndexK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026833 ON rPart
(rSupPartK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026824 ON rPart
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026811 ON rPart
(rStogrpK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026820 ON rPart
(rStoCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131796 ON rPart
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026814 ON rPart
(rTablespcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131814 ON rPart
(rTabspcStK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rPictG */
CREATE  UNIQUE INDEX irPictGL ON rPictG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022108 ON rPictG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rPicture */
CREATE  UNIQUE INDEX irPictureL ON rPicture
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i021612 ON rPicture
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rProc */
CREATE  UNIQUE INDEX irProcL ON rProc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024832 ON rProc
(rSupProcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024809 ON rProc
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131743 ON rProc
(rOrigUserK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rRelCol */
CREATE  UNIQUE INDEX irRelColL ON rRelCol
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029408 ON rRelCol
(rColumn1K, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029406 ON rRelCol
(rColumn2K, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029404 ON rRelCol
(rConnectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029410 ON rRelCol
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rRollSeg */
CREATE  UNIQUE INDEX irRollSegL ON rRollSeg
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026322 ON rRollSeg
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026326 ON rRollSeg
(rSupRlbSgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026309 ON rRollSeg
(rStoCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026307 ON rRollSeg
(rTabspc, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rSDColn */
CREATE  UNIQUE INDEX irSDColnL ON rSDColn
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131685 ON rSDColn
(rComItemK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131691 ON rSDColn
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rSDFld */
CREATE  UNIQUE INDEX irSDFldL ON rSDFld
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131694 ON rSDFld
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131688 ON rSDFld
(rSDColnK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rSDFldVl */
CREATE  UNIQUE INDEX irSDFldVlL ON rSDFldVl
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131697 ON rSDFldVl
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131682 ON rSDFldVl
(rSDFldK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rSeq */
CREATE  UNIQUE INDEX irSeqL ON rSeq
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i038515 ON rSeq
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i038512 ON rSeq
(rSupSeqK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131749 ON rSeq
(rOrigUserK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rSpecSym */
CREATE  UNIQUE INDEX irSpecSymL ON rSpecSym
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024505 ON rSpecSym
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rStamp */
CREATE  UNIQUE INDEX irStampL ON rStamp
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022706 ON rStamp
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rStampG */
CREATE  UNIQUE INDEX irStampGL ON rStampG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022408 ON rStampG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rStoCfg */
CREATE  UNIQUE INDEX irStoCfgL ON rStoCfg
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026531 ON rStoCfg
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026539 ON rStoCfg
(rSupStrCfK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rStogrp */
CREATE  UNIQUE INDEX irStogrpL ON rStogrp
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131929 ON rStogrp
(rFileGDb, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026713 ON rStogrp
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026717 ON rStogrp
(rSupStgpK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rSubZone */
CREATE  UNIQUE INDEX irSubZoneL ON rSubZone
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024120 ON rSubZone
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024123 ON rSubZone
(rZoneK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rSvwCol */
CREATE  UNIQUE INDEX irSvwColL ON rSvwCol
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029117 ON rSvwCol
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rSvwFmt */
CREATE  UNIQUE INDEX irSvwFmtL ON rSvwFmt
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029216 ON rSvwFmt
(rColumnK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029218 ON rSvwFmt
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i029238 ON rSvwFmt
(rSupSvFmtK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rTable */
CREATE  UNIQUE INDEX irTableL ON rTable
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022592 ON rTable
(rBlkCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022582 ON rTable
(rProcEditK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022580 ON rTable
(rProcVldK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022540 ON rTable
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131926 ON rTable
(rTabCol, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131904 ON rTable
(rTabColSt, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022561 ON rTable
(rStoCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022538 ON rTable
(rSupTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131740 ON rTable
(rOrigUserK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rTableG */
CREATE  UNIQUE INDEX irTableGL ON rTableG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022211 ON rTableG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022218 ON rTableG
(rSupTabGK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022210 ON rTableG
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rTabspc */
CREATE  UNIQUE INDEX irTabspcL ON rTabspc
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026028 ON rTabspc
(rBlkCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026046 ON rTabspc
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026026 ON rTabspc
(rStogrpK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026021 ON rTabspc
(rStoCfgK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i026050 ON rTabspc
(rSupTbspcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rTabTbsp */
CREATE  UNIQUE INDEX irTabTbspL ON rTabTbsp
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027006 ON rTabTbsp
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027004 ON rTabTbsp
(rTableK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i027002 ON rTabTbsp
(rTabspcK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rText */
CREATE  UNIQUE INDEX irTextL ON rText
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022616 ON rText
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rTextG */
CREATE  UNIQUE INDEX irTextGL ON rTextG
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022308 ON rTextG
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE rZone */
CREATE  UNIQUE INDEX irZoneL ON rZone
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024211 ON rZone
(rContentK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i024213 ON rZone
(rSRRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE tImage */
CREATE  UNIQUE INDEX itImageL ON tImage
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE tItgParm */
CREATE  UNIQUE INDEX itItgParmL ON tItgParm
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE tLongTxt */
CREATE  UNIQUE INDEX itLongTxtL ON tLongTxt
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE tPrtParm */
CREATE  UNIQUE INDEX itPrtParmL ON tPrtParm
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wBasType */
CREATE  UNIQUE INDEX iwBasTypeL ON wBasType
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i000508 ON wBasType
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i000535 ON wBasType
(wTargSysK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wCharact */
CREATE  UNIQUE INDEX iwCharactL ON wCharact
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002911 ON wCharact
(wComponK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002913 ON wCharact
(wDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002915 ON wCharact
(wComItemK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002917 ON wCharact
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wComItem */
CREATE  UNIQUE INDEX iwComItemL ON wComItem
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i000210 ON wComItem
(wDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i000213 ON wComItem
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wCompCat */
CREATE  UNIQUE INDEX iwCompCatL ON wCompCat
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002033 ON wCompCat
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wCompon */
CREATE  UNIQUE INDEX iwComponL ON wCompon
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002444 ON wCompon
(wCompCatK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002440 ON wCompon
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002432 ON wCompon
(wRepresK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002447 ON wCompon
(wStructK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wCompPrs */
CREATE  UNIQUE INDEX iwCompPrsL ON wCompPrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002604 ON wCompPrs
(wComponK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002606 ON wCompPrs
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002602 ON wCompPrs
(wRepresK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wCorrCat */
CREATE  UNIQUE INDEX iwCorrCatL ON wCorrCat
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001930 ON wCorrCat
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wCorresp */
CREATE  UNIQUE INDEX iwCorrespL ON wCorresp
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001838 ON wCorresp
(wCorrCatK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001830 ON wCorresp
(wSrcCompK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001832 ON wCorresp
(wDstCompK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001835 ON wCorresp
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wDefault */
CREATE  UNIQUE INDEX iwDefaultL ON wDefault
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131711 ON wDefault
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wDomain */
CREATE  UNIQUE INDEX iwDomainL ON wDomain
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i028418 ON wDomain
(wDefaultK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i028403 ON wDomain
(wDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i000422 ON wDomain
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i028416 ON wDomain
(wRuleK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i028405 ON wDomain
(wTargSysK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i000420 ON wDomain
(wBasTypeK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wDomPrs */
CREATE  UNIQUE INDEX iwDomPrsL ON wDomPrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002654 ON wDomPrs
(wDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002656 ON wDomPrs
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002652 ON wDomPrs
(wRepresK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wDomVal */
CREATE  UNIQUE INDEX iwDomValL ON wDomVal
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i000707 ON wDomVal
(wDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i000705 ON wDomVal
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wExtStru */
CREATE  UNIQUE INDEX iwExtStruL ON wExtStru
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003420 ON wExtStru
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wItemPrs */
CREATE  UNIQUE INDEX iwItemPrsL ON wItemPrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002504 ON wItemPrs
(wComItemK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002506 ON wItemPrs
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002502 ON wItemPrs
(wRepresK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wNSRRep */
CREATE  UNIQUE INDEX iwNSRRepL ON wNSRRep
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002230 ON wNSRRep
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wProject */
CREATE  UNIQUE INDEX iwProjectL ON wProject
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wRepPrs */
CREATE  UNIQUE INDEX iwRepPrsL ON wRepPrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003305 ON wRepPrs
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003309 ON wRepPrs
(wUsingRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003307 ON wRepPrs
(wPresRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wRepres */
CREATE  UNIQUE INDEX iwRepresL ON wRepres
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002132 ON wRepres
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wRule */
CREATE  UNIQUE INDEX iwRuleL ON wRule
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131714 ON wRule
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wSRRep */
CREATE  UNIQUE INDEX iwSRRepL ON wSRRep
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022981 ON wSRRep
(rDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001116 ON wSRRep
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022946 ON wSRRep
(rSupRepK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i022986 ON wSRRep
(rTargSysK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wStruct */
CREATE  UNIQUE INDEX iwStructL ON wStruct
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001608 ON wStruct
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wStruNod */
CREATE  UNIQUE INDEX iwStruNodL ON wStruNod
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001304 ON wStruNod
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wStruPrs */
CREATE  UNIQUE INDEX iwStruPrsL ON wStruPrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002706 ON wStruPrs
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002702 ON wStruPrs
(wRepresK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002704 ON wStruPrs
(wStructK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wSubStru */
CREATE  UNIQUE INDEX iwSubStruL ON wSubStru
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001538 ON wSubStru
(wDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001513 ON wSubStru
(wComItemK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001515 ON wSubStru
(wPaNodeK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001518 ON wSubStru
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001520 ON wSubStru
(wStructK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wTargSys */
CREATE  UNIQUE INDEX iwTargSysL ON wTargSys
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i001007 ON wTargSys
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wTypePrs */
CREATE  UNIQUE INDEX iwTypePrsL ON wTypePrs
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002802 ON wTypePrs
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002804 ON wTypePrs
(wRepresK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i002806 ON wTypePrs
(wBasTypeK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wUFldVal */
CREATE  UNIQUE INDEX iwUFldValL ON wUFldVal
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003108 ON wUFldVal
(wChoiceK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003103 ON wUFldVal
(wUserFldK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003105 ON wUFldVal
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wUser */
CREATE  UNIQUE INDEX iwUserL ON wUser
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i131717 ON wUser
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE wUserFld */
CREATE  UNIQUE INDEX iwUserFldL ON wUserFld
(K, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003013 ON wUserFld
(wDomainK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX i003015 ON wUserFld
(wProjectK, K)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE zChkTran */
CREATE  UNIQUE INDEX izChkTranP ON zChkTran
(zUid)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX izChkTran ON zChkTran
(zChunkK, zTransNo)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  INDEX izChkTranU ON zChkTran
(zNbUpdate)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE zChkUsed */
CREATE  UNIQUE INDEX izChkUsedT ON zChkUsed
(zConnectK, zChunkK)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;
CREATE  UNIQUE INDEX izChkUsedK ON zChkUsed
(zChunkK, zConnectK)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE zConnect */
CREATE  UNIQUE INDEX izConnectP ON zConnect
(zUid)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE zControl */
CREATE  UNIQUE INDEX izControlP ON zControl
(zUid)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;

/* TABLE zModule */
CREATE  UNIQUE INDEX izModuleP ON zModule
(zName)   TABLESPACE SILVERRUN_REPOSITORY_DATA
;


/*
Number of indexes created inside silverrun Repository */
select COUNT(*) from USER_INDEXES 
	where TABLESPACE_NAME = 'SILVERRUN_REPOSITORY_DATA';
	
spool off;
set echo on;
