set echo off;
set pagesize 100;
spool userinfo.lst;

/************************************************************************************
*                                                                                   *
*   userinfo.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8        Grandite             *
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8        Grandite             *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   The user's name that is to be verified.     Le nom de l'utilisateur a verifier. *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script extracting data to ensure that       Script montrant les informations    *
*   the creation of a user has been done        assurant que la creation d'un       *
*   correctly.                                  utilisateur est correcte.           *
*                                                                                   *
*   YOU CAN MODIFY THIS SCRIPT BEFORE           VOUS POUVEZ MODIFIER CE SCRIPT      *
*   ITS FIRST RUN:                              AVANT SA PREMIERE EXECUTION :       *
*                                                                                   *
*   If you are not using the role names         Si vous n'utilisez pas les noms de  *
*   SR_USERS and SR_GUESTS you must modify      "roles" SR_USERS et SR_GUESTS vous  *
*   them in this script.                        devez les modifier dans ce script.  *
*                                                                                   *
************************************************************************************/

/************************************************************************************
DESCRIPTION OF THE USER :                                                          */
select SUBSTR(U.USERNAME,1,20) "USERNAME",SUBSTR(GRANTED_ROLE,1,15) "ROLE",
	DEFAULT_TABLESPACE,CREATED
	from USER_USERS U,USER_ROLE_PRIVS R
	where R.USERNAME = USER and GRANTED_ROLE IN ('SR_USERS','SR_GUESTS');
 
/************************************************************************************
LIST OF USER'S SYNONYMS : 
THE USER SHOULD HAVE A LIST OF 150 TABLES */

select SUBSTR(OBJECT_NAME,1,20) "OBJECT_NAME",OBJECT_TYPE,STATUS from USER_OBJECTS 
	where OBJECT_TYPE = 'SYNONYM' and upper(OBJECT_NAME) in
	(
		'dCell',
		'dCpnProc',
		'dCpnStor',
		'dDiag',
		'dDispDes',
		'dExEnGR',
		'dExEnPrs',
		'dExtEnt',
		'dFigure',
		'dFigurGR',
		'dFlow',
		'dFlowGR',
		'dFont',
		'dFText',
		'dFTextGR',
		'dGrapRep',
		'dLabelGR',
		'dLine',
		'dLineGR',
		'dLinkGR',
		'dNode',
		'dPictGR',
		'dPicture',
		'dProcess',
		'dProcFrm',
		'dProcGR',
		'dProcPrs',
		'dQualGR',
		'dQualif',
		'dQulExEn',
		'dQulFlow',
		'dQulProc',
		'dQulSto',
		'dResourc',
		'dResProc',
		'dStamp',
		'dStampGR',
		'dStore',
		'dStoreGR',
		'dStorPrs',
		'dZone',
		'rActCat',
		'rAction',
		'rAttrSet',
		'rBlkCfg',
		'rChoice',
		'rChoiceG',
		'rChoiLnG',
		'rColAct',
		'rColumn',
		'rColVal',
		'rCombCol',
		'rCombDir',
		'rCombin',
		'rCompTbl',
		'rConcAcc',
		'rConnect',
		'rConnG',
		'rConnvG',
		'rConstr',
		'rContent',
		'rDatabas',
		'rDescAcc',
		'rDiagram',
		'rDim',
		'rDirect',
		'rErrMsg',
		'rFigure',
		'rFigureG',
		'rFile',
		'rFilSgrp',
		'rFilTbsp',
		'rFont',
		'rGraphic',
		'rIBICol',
		'rIBIDir',
		'rIBILink',
		'rIBILoc',
		'rIBIMFD',
		'rIBISec',
		'rIBITab',
		'rIndex',
		'rIndTbsp',
		'rLabelG',
		'rLine',
		'rLineG',
		'rMDIndex',
		'rPart',
		'rPictG',
		'rPicture',
		'rProc',
		'rRelCol',
		'rRollSeg',
		'rSDColn',
		'rSDFld',
		'rSDFldVl',
		'rSeq',
		'rSpecSym',
		'rStamp',
		'rStampG',
		'rStoCfg',
		'rStogrp',
		'rSubZone',
		'rSvwCol',
		'rSvwFmt',
		'rTable',
		'rTableG',
		'rTabspc',
		'rTabTbsp',
		'rText',
		'rTextG',
		'rZone',
		'tImage',
		'tItgParm',
		'tLongTxt',
		'tPrtParm',
		'wBasType',
		'wCharact',
		'wComItem',
		'wCompCat',
		'wCompon',
		'wCompPrs',
		'wCorrCat',
		'wCorresp',
		'wDefault',
		'wDomain',
		'wDomPrs',
		'wDomVal',
		'wExtStru',
		'wItemPrs',
		'wNSRRep',
		'wProject',
		'wRepPrs',
		'wRepres',
		'wRule',
		'wSRRep',
		'wStruct',
		'wStruNod',
		'wStruPrs',
		'wSubStru',
		'wTargSys',
		'wTypePrs',
		'wUFldVal',
		'wUser',
		'wUserFld',
		'zChkTran',
		'zChkUsed',
		'zConnect',
		'zControl',
		'zModule'
	)
	order by OBJECT_NAME;

/************************************************************************************
LIST OF USER'S PRIVILEGES WITH ROLE SR_USERS:
THE USER SHOULD HAVE A LIST OF 150 TABLES */
select 	SUBSTR(TABLE_NAME,1,20) "TABLE NAME", SUBSTR(OWNER,1,20) "TABLE OWNER",
		SUBSTR(GRANTEE,1,20) "ROLE",
		SELECT_PRIV, INSERT_PRIV, UPDATE_PRIV, DELETE_PRIV
	from TABLE_PRIVILEGES
	where GRANTEE = 'SR_USERS' and upper(TABLE_NAME) in
	(
		'dCell',
		'dCpnProc',
		'dCpnStor',
		'dDiag',
		'dDispDes',
		'dExEnGR',
		'dExEnPrs',
		'dExtEnt',
		'dFigure',
		'dFigurGR',
		'dFlow',
		'dFlowGR',
		'dFont',
		'dFText',
		'dFTextGR',
		'dGrapRep',
		'dLabelGR',
		'dLine',
		'dLineGR',
		'dLinkGR',
		'dNode',
		'dPictGR',
		'dPicture',
		'dProcess',
		'dProcFrm',
		'dProcGR',
		'dProcPrs',
		'dQualGR',
		'dQualif',
		'dQulExEn',
		'dQulFlow',
		'dQulProc',
		'dQulSto',
		'dResourc',
		'dResProc',
		'dStamp',
		'dStampGR',
		'dStore',
		'dStoreGR',
		'dStorPrs',
		'dZone',
		'rActCat',
		'rAction',
		'rAttrSet',
		'rBlkCfg',
		'rChoice',
		'rChoiceG',
		'rChoiLnG',
		'rColAct',
		'rColumn',
		'rColVal',
		'rCombCol',
		'rCombDir',
		'rCombin',
		'rCompTbl',
		'rConcAcc',
		'rConnect',
		'rConnG',
		'rConnvG',
		'rConstr',
		'rContent',
		'rDatabas',
		'rDescAcc',
		'rDiagram',
		'rDim',
		'rDirect',
		'rErrMsg',
		'rFigure',
		'rFigureG',
		'rFile',
		'rFilSgrp',
		'rFilTbsp',
		'rFont',
		'rGraphic',
		'rIBICol',
		'rIBIDir',
		'rIBILink',
		'rIBILoc',
		'rIBIMFD',
		'rIBISec',
		'rIBITab',
		'rIndex',
		'rIndTbsp',
		'rLabelG',
		'rLine',
		'rLineG',
		'rMDIndex',
		'rPart',
		'rPictG',
		'rPicture',
		'rProc',
		'rRelCol',
		'rRollSeg',
		'rSDColn',
		'rSDFld',
		'rSDFldVl',
		'rSeq',
		'rSpecSym',
		'rStamp',
		'rStampG',
		'rStoCfg',
		'rStogrp',
		'rSubZone',
		'rSvwCol',
		'rSvwFmt',
		'rTable',
		'rTableG',
		'rTabspc',
		'rTabTbsp',
		'rText',
		'rTextG',
		'rZone',
		'tImage',
		'tItgParm',
		'tLongTxt',
		'tPrtParm',
		'wBasType',
		'wCharact',
		'wComItem',
		'wCompCat',
		'wCompon',
		'wCompPrs',
		'wCorrCat',
		'wCorresp',
		'wDefault',
		'wDomain',
		'wDomPrs',
		'wDomVal',
		'wExtStru',
		'wItemPrs',
		'wNSRRep',
		'wProject',
		'wRepPrs',
		'wRepres',
		'wRule',
		'wSRRep',
		'wStruct',
		'wStruNod',
		'wStruPrs',
		'wSubStru',
		'wTargSys',
		'wTypePrs',
		'wUFldVal',
		'wUser',
		'wUserFld',
		'zChkTran',
		'zChkUsed',
		'zConnect',
		'zControl',
		'zModule'
	)
	order by TABLE_NAME;
 
/************************************************************************************
LIST OF USER'S PRIVILEGES WITH ROLE SR_GUESTS:
THE USER SHOULD HAVE A LIST OF 150 TABLES */
select  SUBSTR(TABLE_NAME,1,20) "TABLE NAME", SUBSTR(OWNER,1,20) "TABLE OWNER",
		SUBSTR(GRANTEE,1,20) "ROLE",
		SELECT_PRIV, INSERT_PRIV, UPDATE_PRIV, DELETE_PRIV
	from TABLE_PRIVILEGES
	where GRANTEE = 'SR_GUESTS' and upper(TABLE_NAME) in
	(
		'dCell',
		'dCpnProc',
		'dCpnStor',
		'dDiag',
		'dDispDes',
		'dExEnGR',
		'dExEnPrs',
		'dExtEnt',
		'dFigure',
		'dFigurGR',
		'dFlow',
		'dFlowGR',
		'dFont',
		'dFText',
		'dFTextGR',
		'dGrapRep',
		'dLabelGR',
		'dLine',
		'dLineGR',
		'dLinkGR',
		'dNode',
		'dPictGR',
		'dPicture',
		'dProcess',
		'dProcFrm',
		'dProcGR',
		'dProcPrs',
		'dQualGR',
		'dQualif',
		'dQulExEn',
		'dQulFlow',
		'dQulProc',
		'dQulSto',
		'dResourc',
		'dResProc',
		'dStamp',
		'dStampGR',
		'dStore',
		'dStoreGR',
		'dStorPrs',
		'dZone',
		'rActCat',
		'rAction',
		'rAttrSet',
		'rBlkCfg',
		'rChoice',
		'rChoiceG',
		'rChoiLnG',
		'rColAct',
		'rColumn',
		'rColVal',
		'rCombCol',
		'rCombDir',
		'rCombin',
		'rCompTbl',
		'rConcAcc',
		'rConnect',
		'rConnG',
		'rConnvG',
		'rConstr',
		'rContent',
		'rDatabas',
		'rDescAcc',
		'rDiagram',
		'rDim',
		'rDirect',
		'rErrMsg',
		'rFigure',
		'rFigureG',
		'rFile',
		'rFilSgrp',
		'rFilTbsp',
		'rFont',
		'rGraphic',
		'rIBICol',
		'rIBIDir',
		'rIBILink',
		'rIBILoc',
		'rIBIMFD',
		'rIBISec',
		'rIBITab',
		'rIndex',
		'rIndTbsp',
		'rLabelG',
		'rLine',
		'rLineG',
		'rMDIndex',
		'rPart',
		'rPictG',
		'rPicture',
		'rProc',
		'rRelCol',
		'rRollSeg',
		'rSDColn',
		'rSDFld',
		'rSDFldVl',
		'rSeq',
		'rSpecSym',
		'rStamp',
		'rStampG',
		'rStoCfg',
		'rStogrp',
		'rSubZone',
		'rSvwCol',
		'rSvwFmt',
		'rTable',
		'rTableG',
		'rTabspc',
		'rTabTbsp',
		'rText',
		'rTextG',
		'rZone',
		'tImage',
		'tItgParm',
		'tLongTxt',
		'tPrtParm',
		'wBasType',
		'wCharact',
		'wComItem',
		'wCompCat',
		'wCompon',
		'wCompPrs',
		'wCorrCat',
		'wCorresp',
		'wDefault',
		'wDomain',
		'wDomPrs',
		'wDomVal',
		'wExtStru',
		'wItemPrs',
		'wNSRRep',
		'wProject',
		'wRepPrs',
		'wRepres',
		'wRule',
		'wSRRep',
		'wStruct',
		'wStruNod',
		'wStruPrs',
		'wSubStru',
		'wTargSys',
		'wTypePrs',
		'wUFldVal',
		'wUser',
		'wUserFld',
		'zChkTran',
		'zChkUsed',
		'zConnect',
		'zControl',
		'zModule'
	)
	order by TABLE_NAME;
	
spool off;
set pagesize 14;
set echo on;
